/* HOME */
.page--home {
  .sectional {
    h2 {
      .font-roboto-condensed {
        font-size: 1.35rem;
      }

      .font-satisfy {
        font-size: 2.125rem;
        line-height: 0.75;
      }
    }
  }

  .section--intro {
    .video-container {
      aspect-ratio: 9/16;
      width: 100vw;

      video {
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: 0;
        width: 100%;
      }
    }

    h1 {
      .font-roboto-condensed {
        font-size: 2.25rem;
      }

      .font-satisfy {
        font-size: 2.5rem;
      }
    }
  }

  .section--features {
    .delivery-content {
      position: absolute;
      top: 0;
      left: 0;

      .container-flag {
        margin-left: 10px;
        width: 8rem;

        .flag-left--turquioise {
          font-size: 1.5rem;
        }

        p {
          font-size: 1.5rem;
        }
      }
    }
  }

  .section--eclub {
    .form-control {
      border: 2px solid var(--csk-light-blue, #7ea8af);
    }

    small {
      font-size: 0.73rem;
    }

    h3 {
      .font-satisfy {
        font-size: 2.5rem;
        line-height: 0.75;
      }
    }
  }

  .section--menu-highlights {
    h2 {
      font-size: 2.25rem;
    }

    .card-item {
      h3 {
        .font-roboto-condensed {
          font-size: 1.5rem;
        }

        .font-satisfy {
          font-size: 2.5rem;
          line-height: 0.75;
        }
      }

      h4 {
        font-size: 1.25rem;
      }
    }
  }

  .section--favorites {
    h2 {
      font-size: 2.25rem;
    }

    h3 {
      font-size: 1.25rem;
    }

    .card {
      border: none;

      img {
        border: 10px solid white;
        box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,
          rgba(60, 64, 67, 0.15) 0px 2px 6px 2px;
      }
    }

    .slick-next:before,
    .slick-prev:before {
      content: "";
    }

    .slick-prev,
    .slick-next {
      top: 35%;
      z-index: 1;
    }

    .slick-prev {
      left: 3%;
    }

    .slick-next {
      right: 3%;
    }
  }

  @media (min-width: 375px) {
    .section--features {
      .delivery-content {
        .label-flag p {
          font-size: 1.85rem;
        }
      }
    }

    .section--favorites {
      h2 {
        font-size: 2.25rem;
      }
    }

    .section--menu-highlights {
      h2 {
        font-size: 2.25rem;
      }
    }

    .section--favorites {
      h3 {
        font-size: 1.5rem;
      }
    }
  }

  @media (min-width: 425px) {

    .section--features,
    .section--eclub,
    .section--favorites,
    .section--menu-highlights {
      padding: 0 6%;
    }
  }

  @media (min-width: 540px) {
    .section--intro {
      .video-container {
        aspect-ratio: 4/5;
      }
    }
  }

  @media (min-width: 576px) {

    .section--features,
    .section--eclub,
    .section--favorites,
    .section--menu-highlights {
      padding: 0;
    }

    .section--favorites {
      .slick-slide {
        width: 60vw;
        margin-right: 0.25rem;
      }

      h3 {
        font-size: 1.25rem;
      }
    }

    @supports (width: 50cqw) {
      .section--favorites {
        .slick-slide {
          width: 50cqw;
        }
      }
    }
  }

  @media (min-width: 768px) {
    .h-md-100 {
      height: 100% !important;
    }

    .section--intro {
      .video-container {
        aspect-ratio: 16/9;
      }
    }

    .sectional {
      h2 {
        .font-roboto-condensed {
          font-size: 2rem;
        }

        .font-satisfy {
          font-size: 2.75rem;
        }
      }
    }

    .section--features {
      .delivery-content {
        .container-flag {
          margin-left: 0;
          width: 7rem;
        }

        .delivery-discalimer {
          p {
            font-size: 0.93rem;
          }
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1rem;
        }

        .lunch-discalimer {
          p {
            font-size: 1rem;
          }
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 1.5rem;
        }

        .font-satisfy {
          font-size: 2.25rem;
        }
      }

      img {
        scale: 1.4;
      }

      small {
        font-size: 0.9rem;
      }
    }

    .section--favorites {
      h2 {
        font-size: 2.75rem;
      }
    }

    .section--menu-highlights {
      h2 {
        font-size: 2.75rem;
      }

      .card-item {
        &.card-item__racing {
          h3 {
            .font-roboto-condensed {
              font-size: 2rem;
            }

            .font-satisfy {
              font-size: 3rem;
            }
          }
        }
      }
    }

    .section--favorites {
      .slick-slide {
        width: 70vw;
      }
    }

    @supports (width: 60cqw) {
      .section--favorites {
        .slick-slide {
          width: 60cqw;
        }
      }
    }

    .section--menu-highlights {
      img {
        object-fit: cover;
        height: 100%;
        width: 100%;
      }
    }
  }

  @media (min-width: 992px) {

    a[class^="btn"],
    a[class^="btn"]:hover,
    a[class^="btn"]:focus,
    a[class^="btn"]:visited,
    a[class^="btn"]:active {
      font-size: 1.25rem;
    }

    .section--intro {
      h1 {
        .font-roboto-condensed {
          font-size: 2.25rem;
        }

        .font-satisfy {
          font-size: 3.75rem;
        }
      }
    }

    .section--features {
      .delivery-available {
        p {
          font-size: 1.25rem;
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1.25rem;
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 2.125rem;
        }

        .font-satisfy {
          font-size: 2.75rem;
        }
      }

      P {
        font-size: 1.1rem;
      }
    }

    .section--favorites {
      h3 {
        font-size: 1.5rem;
      }

      .slick-slide {
        width: 50vw;
      }

      .card {
        border: 1px solid rgba(0, 0, 0, 0.125);
      }

      .card img {
        border: unset;
        box-shadow: unset;
        border-top-left-radius: 0.3125rem;
        border-top-right-radius: 0.3125rem;
      }
    }

    @supports (width: 40cqw) {
      .section--favorites {
        .slick-slide {
          width: 40cqw;
        }
      }
    }

    .section--menu-highlights {
      h3 {
        font-size: 2.25rem;
      }

      h3:has(span.text--yellow) {
        font-size: 2.75rem;
      }

      p {
        font-size: 1.2rem;
      }
    }
  }

  @media (min-width: 1200px) {
    .gap-xl-8 {
      gap: 2rem;
    }

    .section--intro {
      h1 {
        .font-roboto-condensed {
          font-size: 3rem;
        }

        .font-satisfy {
          font-size: 4rem;
        }
      }
    }

    .sectional {
      h2 {
        .font-satisfy {
          font-size: 4rem;
        }

        .font-roboto-condensed {
          font-size: 3.25rem;
        }
      }
    }

    .section--features {
      .delivery-content {
        .container-flag {
          width: 10rem;

          .flag-left--turquioise {
            font-size: 2.5rem;
          }
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1.5rem;
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 2.35rem;
        }

        .font-satisfy {
          font-size: 3rem;
        }
      }

      p {
        font-size: 1.25rem;
      }

      small {
        font-size: 1.1rem;
      }
    }

    .section--favorites {
      h2 {
        font-size: 3.75rem;
      }
    }

    .section--menu-highlights {
      h2 {
        font-size: 3.75rem;
      }

      .card-item {
        h3 {
          .font-satisfy {
            font-size: 3.25rem;
          }

          .font-roboto-condensed {
            font-size: 2rem;
          }
        }

        h4 {
          font-size: 1.5rem;
        }

        &.card-item__racing {
          h3 {
            .font-roboto-condensed {
              font-size: 3.5rem;
            }

            .font-satisfy {
              font-size: 5rem;
            }
          }

          p {
            font-size: 1.75rem;
          }
        }
      }
    }

    .section--favorites {
      .slick-slide {
        width: 45vw;
      }
    }

    @supports (width: 35cqw) {
      .section--favorites {
        .slick-slide {
          width: 35cqw;
        }
      }
    }

    .section--menu-highlights {
      h3 {
        font-size: 2.5rem;
      }

      h3:has(span.text--yellow) {
        font-size: 3rem;
      }

      h4 {
        font-size: 1.75rem;
      }

      p {
        font-size: 1.5rem;
      }
    }
  }

  @media (min-width: 1400px) {
    .section--features {
      .delivery-available {
        p {
          font-size: 1.5rem;
        }
      }

      .weekday-lunch-specials {
        p {
          font-size: 1.75rem;
        }
      }
    }

    .section--eclub {
      h3 {
        .font-roboto-condensed {
          font-size: 2.6rem;
        }

        .font-satisfy {
          font-size: 3.5rem;
        }
      }
    }

    .section--favorites {
      h3 {
        font-size: 1.75rem;
      }

      .slick-slide {
        width: 35vw;
      }
    }

    .section--menu-highlights {
      .card-item {
        h3 {
          .font-satisfy {
            font-size: 4rem;
          }

          .font-roboto-condensed {
            font-size: 2.25rem;
          }
        }

        h4 {
          font-size: 1.75rem;
        }
      }
    }

    @supports (width: 25cqw) {
      .section--favorites {
        .slick-slide {
          width: 25cqw;
        }
      }
    }

    .section--menu-highlights {
      h3 {
        font-size: 3.1rem;
      }

      h3:has(span.text--yellow) {
        font-size: 4rem;
      }

      h4 {
        font-size: 2rem;
      }

      p {
        font-size: 1.75rem;
      }
    }
  }

  @media (min-width: 1600px) {
    .section--intro {
      .video-container {
        aspect-ratio: 21/9;

        h1 {
          .font-roboto-condensed {
            font-size: 4rem;
          }

          .font-satisfy {
            font-size: 5rem;
          }
        }
      }
    }

    .sectional {
      h2 {
        .font-satisfy {
          font-size: 5.5rem;
        }

        .font-roboto-condensed {
          font-size: 4rem;
        }
      }
    }
  }
}

/* NRO (locations/new-locations Page ------------------------------------------------------------ START*/

.locations-page {
    margin: 0;
    padding: 32px 0 32px;
    background: transparent;
    min-height: calc(100vh - 580px);


    .new-locations.container {
        max-width: 880px;
        border-radius: 12px;
        padding: 24px;
    }

    .new-locations p.no-record {
        text-align: center;
        font-family: "Roboto Condensed", "Arial Narrow",
          "Helvetica Neue Condensed",
          "Oswald", sans-serif !important;
        font-weight: bold;
        font-size: 1.125rem;
        line-height: 1.5;
    }

    .new-locations .tabs {
        display: flex;
        justify-content: space-between;
        align-items: center;
        gap: 10px;
        width: 100%;
        max-width: 680px;
        padding: 3px;
        background: #e7e7e7;
        border-radius: 40px;
    }

    .new-locations .tab {
        flex: 1;
        padding: 8px 0;
        text-align: center;
        font-family: "Roboto Condensed", "Arial Narrow",
          "Helvetica Neue Condensed",
          "Oswald", sans-serif !important;
        font-size: 1rem;
        line-height: 1.5;
        font-weight: 700;
        color: var(--csk-orange, #C16436);
        border-radius: 40px;
        cursor: pointer;
        transition: background 0.25s ease;
    }

    .new-locations .tab a {
        color: inherit !important;
        text-decoration: none;
    }

    .new-locations .tab:not(.active):hover {
        background: #dcdcdc;
    }

    .new-locations .tab.active {
        background:  var(--csk-orange, #C16436);;
        color: #ffffff;
    }

    .new-locations a {
        text-decoration: none !important;
    }

    .new-locations a:hover {
        text-decoration: none !important;
    }

    .location-card {
        display: flex;
        gap: 20px;
        min-height: 150px;
        margin-bottom: 16px;
        background: transparent;
        border: 1px solid #7ea8af;
        border-radius: 16px;
        overflow: hidden;
    }

    .location-card .card-image {
        flex: 0 0 145px;
        aspect-ratio: 1 / 1;
        overflow: hidden;
    }

    .location-card .card-image img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        display: block;
    }

    .card-content {
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        padding: 32px;
    }

    .loc-title {
        font-family: "Roboto Condensed", "Arial Narrow",
          "Helvetica Neue Condensed",
          "Oswald", sans-serif !important;
        font-size: 1rem;
        line-height: 1.5;
        font-weight: 700;
        color: var(--csk-orange, #C16436);
        margin: 0 0 10px;
    }

    a .loc-title:hover {
      color: #000000;
    }

    .card-text a {
      text-decoration: underline !important;
      color: var(--csk-orange, #C16436);
    }

    .card-text a:hover {
      text-decoration: none !important;
      color: #000000;
    }

    .address {
        margin: 0;
        font-weight: 400;
        font-size: 1rem;
        line-height: 1.5;
    }

    .card-status {
        display: flex;
        align-items: center;
    }

    .status-pill {
        padding: 8px 32px;
        border: 2px solid  var(--csk-orange, #C16436);
        border-radius: 30px;
        background: transparent;
        font-family: "Roboto Condensed", "Arial Narrow",
          "Helvetica Neue Condensed",
          "Oswald", sans-serif !important;;
        font-size: 1rem;
        line-height: 1.5;
        font-weight: 400;
        text-transform: uppercase;
        color:  var(--csk-orange, #C16436);
    }

    .comingsoon .status-pill {
        background:var(--csk-orange, #C16436);
        color: #ffffff;
    }
}

@media (max-width: 767px) {

    .locations-page {
        padding: 20px 0;

        .new-locations.container {
            padding: 16px;
        }

        .new-locations .tabs {
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 8px;
            padding: 8px;
            background: transparent;
            border-radius: 16px;
        }

        .new-locations .tab {
            padding: 12px 0;
            background: #e7e7e7;
        }

        .location-card {
            gap: 10px;
        }

        .card-content {
            display: grid;
            grid-template-rows: auto auto;
            gap: 16px;
            padding: 20px 20px 20px 0;
            justify-content: center;
        }

        .card-text {
            text-align: center;
        }

        .card-status {
            justify-content: center;
            width: 100%;
        }

        .status-pill {
            padding: 6px 14px;
        }

    }

}

/* NRO (locations/new-locations  Page ------------------------------------------------------------END*/

/* accessibility-statement Page ------------------------------------------------------------ START*/
.page--accessibility {
    background: #fff;
}

.page--accessibility .container--iframe {
    max-width: 960px;
    padding: 48px 0;
}

.page--accessibility h1 {
    font-family: "Satisfy", cursive;
    font-size: 2.5rem;
    font-weight: 700;
    line-height: normal;
    color: var(--csk-light-blue, #7EA8AF);
    padding: 8px 0 12px;
    margin-bottom: 40px;
}

@media(max-width: 768px) {
    .page--accessibility h1 {
        font-size: 1.5rem;
        padding: 0 40px;
    }
}
/* accessibility-statement Page ------------------------------------------------------------ END*/



/* ============================================================
   FAQ Accordion 
   ============================================================ */

.faq__title {
  margin-bottom: 2.5rem;
  font-family: "Satisfy", cursive !important;
  text-align: center;
  font-size: 2.5rem;
  font-weight: 400;
}

/* ==========================================================================
   CATEGORY NAVIGATION
   ========================================================================== */

#page--faq .faq__category-nav {
  margin-bottom: 3rem;
  margin: 0 auto;
  .faq__category-nav-list {
    display: flex;
    flex-direction: column;
    gap: 12px;
    font-weight: 600;
    padding-left: 0;
    margin-bottom: 2rem;
  }

  .faq__category-nav-list li {
    list-style-type: none;
  }

  .faq__nav-btn {
    display: flex;
    justify-content: center;
    flex-direction: row;
    gap: 20px;
    color: var(--csk-white, rgb(255, 255, 255)) !important;
    font-size: 1rem;
    flex-wrap: wrap;
    font-weight: 700;
    padding: 0.25rem 0.75rem;
    text-transform: uppercase;
    background-color: var(--csk-orange, #c16436) !important;
  }
  .faq__category-nav-list li:hover {
    text-decoration: underline;
  }
}

.faq__accordion {
  .faq__category-title {
    font-size: 1.5rem;
    color: var(--csk-body-color);
    text-transform: uppercase;
  }

  .faq__category-description {
    color: var(--brand-body-default-color, #303030);
    font-size: 1rem;
  }

  .faq__item {
    border-bottom: 1px solid #e0e0e0;
    background: transparent;
    transition: all 0.3s ease;

    .faq__item-heading {
      margin-bottom: 0;

      .faq__trigger {
        width: 100%;
        background-color: transparent;
        padding: 1rem;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border: none;
        text-align: left;
        transition: background-color 0.3s ease;
        cursor: pointer;
        text-decoration: none;
        -webkit-transition: background-color 0.3s ease;
        -moz-transition: background-color 0.3s ease;
        -ms-transition: background-color 0.3s ease;
        -o-transition: background-color 0.3s ease;

        &.collapsed {
          background-color: #fff;
        }

        &[aria-expanded="false"]:focus,
        &[aria-expanded="false"]:focus-visible {
          outline: 2px solid var(--csk-navy-blue, #1f2a44);
        }

        &[aria-expanded="true"],
        &[aria-expanded="false"]:hover {
          background-color: var(--csk-navy-blue, #1f2a44);
          color: #fff;

          /* Add this to change the icon color to white */
          .faq__icon::before,
          .faq__icon::after {
            background-color: #fff;
          }
        }

        &[aria-expanded="false"] {
          background-color: #fff;
        }

        &[aria-expanded="true"] {
          .faq__icon {
            &::after {
              transform: rotate(90deg);
              opacity: 0;
            }
          }
        }

        .faq__icon {
          position: relative;
          width: 10px;
          height: 10px;
          flex-shrink: 0;

          &::before,
          &::after {
            content: "";
            position: absolute;
            background-color: #000;
            transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1);
          }

          &::before {
            top: 50%;
            left: 0;
            width: 100%;
            height: 2px;
            margin-top: -1px;
          }

          /* Vertical line */
          &::after {
            top: 0;
            left: 50%;
            width: 2px;
            height: 100%;
            margin-left: -1px;
          }
        }
      }

      .faq__question-text {
        font-size: 1rem;
        padding-right: 15px;
        transition: color 0.3s ease;
        -webkit-transition: color 0.3s ease;
        -moz-transition: color 0.3s ease;
        -ms-transition: color 0.3s ease;
        -o-transition: color 0.3s ease;
        text-transform: uppercase;
      }
    }

    .faq__answer {
      p {
        font-size: 1rem;
        color: var(--brand-body-default-color, #303030);
        margin-bottom: 0;

        & + p {
          margin-top: 1rem;
        }
      }

      a {
        font-size: 1rem;
        color: #c16436;
        text-decoration: none;
      }
    }

    .faq__collapse {
      padding: 1rem;
    }
  }
}

@media (min-width: 540px) {
  .faq__title {
    font-size: 4rem;
  }
  .faq__accordion {
    .faq__category-title {
      font-size: 1.75rem;
    }

    .faq__category-description {
      font-size: 1.125rem;
    }

    .faq__item {
      .faq__item-heading {
        .faq__question-text {
          font-size: 1.25rem;
        }
      }

      .faq__answer {
        p,
        a {
          font-size: 1.125rem;
        }
      }
    }
  }
}

@media (min-width: 768px) {
  /* ==========================================================================
   CATEGORY NAVIGATION
   ========================================================================== */
  #page--faq .faq__category-nav {
    margin-bottom: 3rem;
    .faq__category-nav-list {
      display: flex;
      justify-content: center;
      gap: 20px;
      font-size: 1.1rem;
      font-weight: 700;
      flex-direction: row;
      flex-wrap: wrap;
    }

    .faq__category-nav-list li {
      list-style-type: none;
    }

    .faq__category-nav-list li:not(:last-child) {
      display: flex;
      align-items: center;
    }

    .faq__category-nav-list li:not(:last-child)::after {
      content: "|";
      margin-left: 20px;
      color: var(--csk-body-color);
      pointer-events: none;
    }

    .faq__nav-btn {
      color: var(--csk-body-color);
      background-color: transparent;
      background-image: none;
      border: none;
    }
    .faq__category-nav-list li:hover {
      text-decoration: underline;
      color: var(--csk-body-color);
    }
  }
  .faq__accordion {
    .faq__item {
      .faq__item-heading {
        .faq__trigger {
          padding: 1.5rem;
        }
      }

      .faq__collapse {
        padding: 1.5rem;
      }
    }
  }
}

@media (min-width: 1200px) {
  .container--faq {
    max-width: 1140px !important;
    margin-left: auto;
    margin-right: auto;
  }

  .faq__accordion {
    .faq__category-title {
      font-size: 2.75rem;
    }

    .faq__category-description {
      font-size: 1.25rem;
    }

    .faq__item {
      .faq__item-heading {
        .faq__question-text {
          font-size: 1.25rem;
        }
      }

      .faq__answer {
        p,
        a {
          font-size: 1.25rem;
        }
      }
    }
  }
}

/* FAQS ------------------------------------------------------------ END*/
